package privilege_internal

import "github.com/gofiber/fiber/v2"

func (p *PrivilegeInternal) Register(router fiber.Router) {
	router.Get("/", p.Get)
	router.Post("/", p.Create)
	router.Put("/", p.Update)
	router.Delete("/", p.Delete)
	router.Get("/:privilegeId", p.GetByID)
	router.Get("/service/:serviceKey", p.GetByService)
	router.Post("/many", p.PostMany)
	router.Put("/many", p.UpdateMany)
	router.Post("/restore", p.Restore)
}

func (p *PrivilegeInternal) Name() string {
	return "privilege"
}
