package models

import (
	"github.com/golang-jwt/jwt/v5"
	"time"
)

type JWTConfiguration struct {
	PrivateKey string
	PublicKey  string
	Issuer     string
	Audience   string
	Algorithm  jwt.SigningMethodRSA
	ExpiresIn  time.Duration
}

const AuthJWTDecodedUserIDKey = "userID"
const AuthJWTDecodedAccessTokenKey = "access-token"
